<div class="col-xl-12">
  <div class="card rounded-3 text-black">
    <div class="row g-0">
      <div class="col-lg-6">
        <div class="card-body p-md-5 mx-md-4">

          <div class="text-center">
            <img src="assets/images/logotipo.png" style="width: 185px;" alt="logo">
            <h4 class="mt-1 mb-5 pb-1">Iniciar Sesión</h4>
          </div>

          <form [formGroup]="formLogIn">

            <div class="form-outline mb-4">
              <input type="email" id="email" class="form-control" placeholder="Email" formControlName="email" />

              <span *ngIf="
                          formLogIn.get('email')?.hasError('email') &&
                          formLogIn.get('email')?.touched &&
                          formLogIn.get('email')?.hasError('pattern')
                        ">
                <small class="text-danger">Formato de Correo Invalido</small>
                <label class="form-label" for="email"></label>
              </span>
            </div>

            <div class="form-outline mb-4">
              <input type="password" minlength="8" id="password" class="form-control" placeholder="Contraseña"
                formControlName="password" />
              <span 
              *ngIf="formLogIn.invalid && formLogIn.touched" class="error-message">
                <small class="text-danger">La contraseña debe tener al menos 8 caracteres.</small>
                <label class="form-label" for="password"></label>
              </span>
            </div>

            <div class="text-center pt-1 mb-5 pb-1">
              <a class="text-muted" href="#!">¿Olvidaste tu contraseña?</a>
              <br>
              <br>
              <button class="btn btn-primary btn-block fa-lg gradient-custom-2 mb-3" type="button">Iniciar
                Sesion </button>
            </div>

            <div class="d-flex align-items-center justify-content-center pb-4">
              <p class="mb-0 me-2">¿No tienes una cuenta?</p>
              <button type="button" class="btn btn-outline-warning">Registrate</button>
            </div>

          </form>

        </div>
      </div>
      <div class="col-lg-6 d-flex align-items-center gradient-custom-2 " id="imagenSalon">
        <div class="text-white px-3 py-4 p-md-5 mx-md-4">

        </div>
      </div>
    </div>
  </div>
</div>